import ValidatorInterface, { DriversMap, ValidationPlugins } from "./models/ValidatorInterface";
import FormInterface from "./models/FormInterface";
import FieldInterface from "./models/FieldInterface";
export default class Validator implements ValidatorInterface {
    promises: Promise<any>[];
    form: FormInterface;
    drivers: DriversMap;
    plugins: ValidationPlugins;
    error: string | null;
    constructor(obj?: any);
    initDrivers(): void;
    validate(opt?: any, obj?: any): Promise<any>;
    validateField({ showErrors, related, field, path, }: any): void;
    /**
      Validate 'related' fields if specified
      and related validation allowed (recursive)
    */
    validateRelatedFields(field: FieldInterface, showErrors: boolean): void;
    checkSVKValidationPlugin(): void;
}
//# sourceMappingURL=Validator.d.ts.map